For AI agents: a documentation index is available at the root level at /llms.txt and /llms-full.txt. Append /llms.txt to any URL for a page-level index, or .md for the markdown version of any page.
Logo
Resources
Log inGet a demo
Get startedAPI referenceImplementation
Get startedAPI referenceImplementation
    • Overview
          • The Engagement object
          • GET/engagements
          • POST/engagements
          • GET/engagements/{id}
          • PATCH/engagements/{id}
          • GET/engagements/meta/patch/{id}
          • GET/engagements/meta/post
          • GET/engagements/remote-field-classes
UnifiedAgent HandlerGateway
UnifiedAgent HandlerGateway
Resources
Log inGet a demo
Common ModelsEngagements

/engagements/{id}

GET
/crm/v1/engagements/:id
GET
/api/crm/v1/engagements/:id
$curl -G https://api.merge.dev/api/crm/v1/engagements/id \
> -H "X-Account-Token: X-Account-Token" \
> -H "Authorization: Bearer <token>" \
> --data-urlencode expand=contacts,owner,account,engagement_type
200Retrieved
1{
2 "id": "550e8400-e29b-41d4-a716-446655440000",
3 "remote_id": "19202938",
4 "created_at": "2021-09-15T00:00:00Z",
5 "modified_at": "2021-10-16T00:00:00Z",
6 "owner": "0358cbc6-2040-430a-848e-aafacbadf3aa",
7 "content": "Call for negotiation",
8 "subject": "Call from customer",
9 "direction": "INBOUND",
10 "engagement_type": "0358cbc6-2040-430a-848e-aafacbadf3aa",
11 "start_time": "2022-02-10T00:00:00Z",
12 "end_time": "2022-02-10T00:05:00Z",
13 "account": "025fjlc6-6000-430a-848e-aafacbadf4fe",
14 "contacts": [
15 "a7c55bc6-2940-c80a-848e-bbfacbfdf4fg"
16 ],
17 "remote_was_deleted": true,
18 "field_mappings": {
19 "organization_defined_targets": {
20 "custom_key": "custom_value"
21 },
22 "linked_account_defined_targets": {
23 "custom_key": "custom_value"
24 }
25 },
26 "remote_data": [
27 {
28 "path": "/engagements",
29 "data": null
30 }
31 ],
32 "remote_fields": [
33 {
34 "remote_field_class": {
35 "id": "string",
36 "display_name": "string",
37 "remote_key_name": "string",
38 "description": "string",
39 "is_custom": true,
40 "is_common_model_field": true,
41 "is_required": true,
42 "field_type": "string",
43 "field_format": "string",
44 "field_choices": [
45 "string"
46 ],
47 "item_schema": {
48 "item_type": "string",
49 "item_format": "string",
50 "item_choices": [
51 "string"
52 ]
53 }
54 },
55 "value": "string"
56 }
57 ]
58}

Returns an Engagement object with the given id.

Field support by integration

See all supported fields

Use the /linked-accounts endpoint to pull platform support information

Was this page helpful?
Previous

/engagements

Next

/engagements/{id}

Built with

Authentication

AuthorizationBearer

Token-based authentication with required prefix “Bearer”

Path parameters

idstringRequiredformat: "uuid"

Headers

X-Account-TokenstringRequired
Token identifying the end user.

Query parameters

expandenumOptional
Which relations should be returned in expanded form. Multiple relation names should be comma separated without spaces.
include_remote_databooleanOptional

Whether to include the original data Merge fetched from the third-party to produce these models.

include_remote_fieldsbooleanOptional
Whether to include all remote fields, including fields that Merge did not map to common models, in a normalized format.
include_shell_databooleanOptional

Whether to include shell records. Shell records are empty records (they may contain some metadata but all other fields are null).

Response

idstringRead-onlyformat: "uuid"
remote_idstring or null

The third-party API ID of the matching object.

created_atdatetimeRead-only
The datetime that this object was created by Merge.
modified_atdatetimeRead-only
The datetime that this object was modified by Merge.
ownerstring or nullformat: "uuid"
The engagement's owner.
contentstring or null
The engagement's content.
subjectstring or null
The engagement's subject.
directionenum or null

The engagement’s direction.

  • INBOUND - INBOUND
  • OUTBOUND - OUTBOUND
Allowed values:
engagement_typestring or nullformat: "uuid"
The engagement type of the engagement.
start_timedatetime or null
The time at which the engagement started.
end_timedatetime or null
The time at which the engagement ended.
accountstring or nullformat: "uuid"
The account of the engagement.
contactslist of strings
remote_was_deletedbooleanRead-only

Indicates whether or not this object has been deleted in the third party platform. Full coverage deletion detection is a premium add-on. Native deletion detection is offered for free with limited coverage. Learn more.

field_mappingsobject or nullRead-only
remote_datalist of objects or nullRead-only
remote_fieldslist of objectsRead-only